From 23f54c2a1e8718e836224d68dafded091604a677 Mon Sep 17 00:00:00 2001
From: Mart Raudsepp <leio@gentoo.org>
Date: Thu, 20 Feb 2020 12:15:33 +0200
Subject: [PATCH] build: Always build gupnp-binding-tool manpage

manpage generation shouldn't be dependent on gtk_doc option
---
 doc/meson.build | 2 ++
 meson.build     | 5 +----
 2 files changed, 3 insertions(+), 4 deletions(-)

diff --git a/doc/meson.build b/doc/meson.build
index 478650b..b71b657 100644
--- a/doc/meson.build
+++ b/doc/meson.build
@@ -4,6 +4,7 @@ version_xml = configure_file(input: 'version.xml.in',
                output: 'version.xml', configuration:
                entities)
 
+if get_option('gtk_doc')
 gnome.gtkdoc('gupnp',
              main_xml : 'gupnp-docs.xml',
              src_dir : [join_paths(meson.source_root(), 'libgupnp'),
@@ -26,6 +27,7 @@ gnome.gtkdoc('gupnp',
                  'gupnp-types-private.h'
              ],
              install : true)
+endif
 
 xsltproc = find_program('xsltproc', required: false)
 if xsltproc.found()
diff --git a/meson.build b/meson.build
index e0dce33..eb3c82d 100644
--- a/meson.build
+++ b/meson.build
@@ -31,15 +31,12 @@ dependencies = [
 subdir('libgupnp')
 subdir('tests')
 subdir('tools')
+subdir('doc')
 
 if get_option('vapi') and get_option('introspection')
     subdir('vala')
 endif
 
-if get_option('gtk_doc')
-    subdir('doc')
-endif
-
 if get_option('examples')
     subdir('examples')
 endif
-- 
2.20.1

